libwps::Header Class Reference

## Public Member Functions

| Header ()
bool | valid ()
void | load (const unsigned char *buffer, unsigned long size)

## Public Attributes

unsigned char | id [8]
unsigned | b_shift
unsigned | s_shift
unsigned | num_bat
unsigned | dirent_start
unsigned | threshold
unsigned | sbat_start
unsigned | num_sbat
unsigned | mbat_start
unsigned | num_mbat
unsigned long | bb_blocks [109]

## Constructor & Destructor Documentation

libwps::Header::Header | ( |  | ) |

## Member Function Documentation

void libwps::Header::load | ( | const unsigned char * | buffer,
|  | unsigned long | size
| ) |  |

bool libwps::Header::valid | ( |  | ) |

## Member Data Documentation

unsigned libwps::Header::b_shift

Referenced by libwps::StorageIO::StorageIO().

unsigned long libwps::Header::bb_blocks[109]

Referenced by Header().

unsigned libwps::Header::dirent_start

unsigned char libwps::Header::id[8]

unsigned libwps::Header::mbat_start

unsigned libwps::Header::num_bat

unsigned libwps::Header::num_mbat

unsigned libwps::Header::num_sbat

unsigned libwps::Header::s_shift

Referenced by libwps::StorageIO::StorageIO().

unsigned libwps::Header::sbat_start

unsigned libwps::Header::threshold

Referenced by libwps::StreamIO::StreamIO().

The documentation for this class was generated from the following file:

- WPSOLEStream.cpp